/*
  Blink
  Turns on an LED on for one second, then off for one second, repeatedly.
  Send ON and OFF messages to serial port at 9600 Bits/s.

  Most Arduinos have an on-board LED you can control. On the Uno and
  Leonardo, it is attached to digital pin 13. If you're unsure what
  pin the on-board LED is connected to on your Arduino model, check
  the documentation at http://arduino.cc

  This example code is in the public domain.

  modified 8 May 2014                by Scott Fitzgerald
  adapted for NetBeans 6 July 2015   by Philippe Arlotto
 */
#include <Arduino.h>          // needed to have marco definitions
extern HardwareSerial Serial; // needed to have class code assistance

// the setup function runs once when you press reset or power the board
void setup() {
  // initialize digital pin 13 as an output.
  pinMode(13, OUTPUT);
  // initialize serial port
  Serial.begin(9600);
}

// the loop function runs over and over again forever
void loop() {
  Serial.println("ON");     // send ON message to serial port
  digitalWrite(13, HIGH);   // turn the LED on (HIGH is the voltage level)
  delay(1000);              // wait for a second
  Serial.println("OFF");    // send OFF message to serial port
  digitalWrite(13, LOW);    // turn the LED off by making the voltage LOW
  delay(1000);              // wait for a second
  
}